Repository 32bit  Forum
Repository 64bit  Wiki

Enlightenment DR17 from svn: differenze tra le versioni

Da Slacky.eu.
Riga 2: Riga 2:
Semplice script che scarica enlightenment da svn, lo compila e lo pacchettizza e installa ;)
Semplice script che scarica enlightenment da svn, lo compila e lo pacchettizza e installa ;)
<pre>
<pre>
#!/bin/sh
+
#!/bin/sh
#e17 Slackware Builder
+
# e17 Slackware Builder
#This simple script download lastest trunk from e17's SVN, package and install it ;)
+
# This simple script download lastest trunk from e17's SVN and packages it ;)
#You can select if you want a basiliar or a full-of-all installation
+
# Compatible with Slackware 13.0 and (hopefully) later
#Compatible with Slackware 12.2 and (i hope) later
+
# Copyright jimmy_page_89 ( email jimmy_page_89 AT hotmail DOT it )
#Copyright jimmy_page_89 ( email jimmy_page_89 AT hotmail DOT it )
+
# Heavily changed by albatros_la aka AsPh4lTo
#Thanks to Conraid for SVN help :D
+
# Thanks to Conraid for SVN help :D
  +
set -e
echo "##e17 Slackware Builder##"
+
echo "##e17 Slackware Builder##"
echo "##Author: jimmy_page_89##"
+
TMP=${TMP:-/tmp/txz/e17}
TMP=${TMP:-/tmp/e17}
+
NAME=enlightenment
TAG=1jim
+
PKG=$TMP/package-$NAME
CWD=`pwd`
+
DEPPKG=$TMP/dep-package-$NAME
OUTPUT=$CWD/e17-slackware-pkgs-1jim
+
TAG=1jim
ARCH=`uname -m`
+
CWD=`pwd`
JOBS="-j3"
+
OUTPUT=$CWD
  +
ARCH="x86_64"
  +
JOBS="-j2"
if [ "$ARCH" = "i486" ]; then
+
if [ ! -d $PKG ]
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+
then
LIBDIRSUFFIX=""
+
mkdir -p $PKG || exit 1
SLKLDFLAGS=""
+
fi
elif [ "$ARCH" = "i686" ]; then
 
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
 
LIBDIRSUFFIX=""
 
SLKLDFLAGS=""
 
elif [ "$ARCH" = "x86_64" ]; then
 
SLKCFLAGS="-O2 -fPIC"
 
LIBDIRSUFFIX="64"
 
SLKLDFLAGS="-L/usr/lib64"
 
fi
 
echo "checking dependencies..."
+
if [ "$ARCH" = "i486" ]; then
if [ ! -d $OUTPUT ];then
+
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
mkdir -p $OUTPUT
+
LIBDIRSUFFIX=""
fi
+
SLKLDFLAGS=""
mkdir -p $TMP
+
elif [ "$ARCH" = "i686" ]; then
cd $OUTPUT
+
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
for j in lua libast libmpd;
+
LIBDIRSUFFIX=""
do
+
SLKLDFLAGS=""
if [ ! -e /var/log/packages/$j-* ];then
+
elif [ "$ARCH" = "x86_64" ]; then
echo "Please install $j, exiting..."
+
SLKCFLAGS="-O2 -fPIC"
exit 1
+
LIBDIRSUFFIX="64"
fi
+
SLKLDFLAGS="-L/usr/lib64"
done
+
fi
echo "Start Downloading..."
 
cd $TMP
 
svn co http://svn.enlightenment.org/svn/e || exit 1
 
wget http://www.slackbuilds.org/slackbuilds/12.2/desktop/enlightenment/xinitrc.enlightenment17 || exit 1
 
cd e/trunk
 
VERSION=r$(LANG=en_US svn info | awk '/Revision:/{print $2}')
 
for i in BINDINGS BROKEN devs DOCS E16 packaging PROTO SCRIPTS THEMES web;
+
if [ -f $CWD/error.log ]
do
+
then
rm -rf $i || exit 1
+
rm -rf $CWD/error.log
done
+
fi
mkdir -p $OUTPUT || exit 1
+
echo "checking dependencies..."
for i in imlib2 eina eet imlib2_loaders imlib2_tools evas ecore efreet embryo edje e_dbus e exml esmart eterm ethumb emotion;
+
if [ ! -d $OUTPUT ];then
do
+
mkdir -p $OUTPUT
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
+
fi
echo "Building $i..."
+
mkdir -p $TMP
cd $i
+
cd $OUTPUT
if [ "$i" = "eterm" ];then
+
for j in lua libast libmpd;
cd Eterm
+
do
fi
+
if [ ! -e /var/log/packages/$j-* ];then
chown -R root:root .
+
echo "Please install $j, exiting..."
find . \
+
exit 1
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+
fi
-exec chmod 755 {} \; -o \
+
done
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+
cd $TMP
-exec chmod 644 {} \;
+
if [ ! -d e ]
  +
then
  +
echo "Start Downloading..."
  +
svn co http://svn.enlightenment.org/svn/e || exit 1
  +
fi
  +
cp $CWD/xinitrc.enlightenment17 . || exit 1
  +
cd $TMP/e
  +
VERSION=r$(LANG=en_US svn info | awk '/Revision:/{print $2}')
PKG=$TMP/package-$i
+
cd $TMP/e/trunk
mkdir -p $PKG || exit 1
+
for i in BINDINGS BROKEN devs DOCS E16 packaging PROTO SCRIPTS THEMES web;
LDFLAGS="$SLKLDFLAGS" \
+
do
CFLAGS="$SLKCFLAGS" \
+
rm -rf $i || exit 1
CXXFLAGS="$SLKCFLAGS" \
+
done
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS|| exit 1
+
function doinst {
make install DESTDIR=$PKG || exit 1
+
echo "if [ -x /usr/bin/update-mime-database ]; then
( cd $PKG
+
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+
fi" >> $PKG/install/doinst.sh
xargs strip --strip-unneeded 2> /dev/null || true
+
echo "" >> $PKG/install/doinst.sh
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+
echo "if [ -x /usr/bin/update-desktop-database ]; then
xargs strip --strip-unneeded 2> /dev/null
+
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
)
+
fi" >> $PKG/install/doinst.sh
  +
echo "" >> $PKG/install/doinst.sh
  +
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
  +
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  +
fi" >> $PKG/install/doinst.sh
  +
echo "" >> $PKG/install/doinst.sh
  +
}
mkdir -p $PKG/usr/doc/$i || exit 1
+
function stripbin {
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
+
( cd $PKG
if [ "$i" = "e" ];then
+
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
mkdir -p $PKG/etc/X11/xinit
+
xargs strip --strip-unneeded 2> /dev/null || true
cp $TMP/xinitrc.enlightenment17 $PKG/etc/X11/xinit/
+
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
fi
+
xargs strip --strip-unneeded 2> /dev/null
  +
)
  +
}
mkdir -p $PKG/install
+
mkdir -p $OUTPUT || exit 1
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
for i in imlib2 eina eet imlib2_loaders imlib2_tools evas ecore efreet embryo edje e_dbus e exml esmart eterm ethumb exquisite expedite emotion emprint etk etk_extra engrave enhance edata ecore_li edb emphasis epsilon evolve exhibit e_utils epeg ewl elementary elementary-alarm elementary-presenter elementary-sms waker alarm bling calendar configmenu cpu deskshow diskio drawer efm-nav efm-path exalt emu exalt-client execwatch flame forecasts iiirk language mail mem moon mpdule net news notification penguins photo places rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan estickies
echo "$i" >> $PKG/install/slack-desc
+
do
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
echo "
echo "$i" >> $PKG/install/slack-desc
+
--- Building $i... ---
echo "$i" >> $PKG/install/slack-desc
+
"
echo "" >> $PKG/install/slack-desc
+
case $i in
echo "if [ -x /usr/bin/update-mime-database ]; then
+
imlib2|eina|eet|imlib2_loaders|imlib2_tools|evas|ecore|efreet|embryo|edje|e_dbus|e|exml|esmart|ethumb|exquisite|expedite|emotion|emprint|ewl|exalt|estickies) cd $TMP/e/trunk/$i;;
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
+
eterm) cd $TMP/e/trunk/$i/Eterm;;
fi" >> $PKG/install/doinst.sh
+
etk|etk_extra|engrave|enhance|edata|ecore_li|edb|emphasis|epsilon|evolve|exhibit|e_utils|epeg) cd $TMP/e/trunk/OLD/$i;;
echo "" >> $PKG/install/doinst.sh
+
elementary|elementary-alarm|elementary-presenter|elementary-sms|waker) cd $TMP/e/trunk/TMP/st/$i;;
echo "if [ -x /usr/bin/update-desktop-database ]; then
+
alarm|bling|calendar|configmenu|cpu|deskshow|diskio|drawer|emu|exalt-client|execwatch|flame|forecasts|iiirk|language|mail|mem|moon|mpdule|net|news|notification|penguins|photo|places|rain|screenshot|skel|slideshow|snow|taskbar|tclock|tiling|uptime|weather|winselector|wlan) cd $TMP/e/trunk/E-MODULES-EXTRA/$i;;
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
+
efm-nav|efm-path) cd $TMP/e/trunk/E-MODULES-EXTRA/`echo $i|sed s/-/_/`;;
fi" >> $PKG/install/doinst.sh
+
esac
echo "" >> $PKG/install/doinst.sh
+
case $i in
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
+
ecore) ECORE="--enable-ecore-evas-software-buffer --enable-ecore-evas-software-x11 --enable-ecore-evas-xrender-x11 --enable-ecore-evas-opengl-x11 --enable-ecore-evas-software-16-x11 --enable-ecore-evas-xrender-xcb --enable-ecore-evas-software-gdi --enable-ecore-evas-software-ddraw --enable-ecore-evas-direct3d--enable-ecore-evas-opengl-glew --enable-ecore-evas-software-16-ddraw--enable-ecore-evas-quartz --enable-ecore-evas-software-sdl --enable-ecore-evas-directfb --enable-ecore-evas-fb --enable-ecore-evas-software-16-wince --enable-ecore-x --enable-ecore-fb --enable-ecore-evas --enable-ecore-evas-g1 --enable-ecore-job --enable-ecore-con --enable-ecore-ipc --enable-ecore-txt";;
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
+
imlib2|eina|eet|imlib2_loaders|imlib2_tools|evas|efreet|embryo|edje|e_dbus|e|exml|esmart|eterm|ethumb|exquisite|expedite|emotion|emprint|etk|etk_extra|engrave|enhance|edata|ecore_li|edb|emphasis|epsilon|evolve|exhibit|e_utils|epeg|ewl|elementary|elementary-alarm|elementary-presenter|elementary-sms|waker|alarm|bling|calendar|configmenu|cpu|deskshow|diskio|drawer|efm-nav|efm-path|emu|exalt-client|execwatch|flame|forecasts|iiirk|language|mail|mem|moon|mpdule|net|news|notification|penguins|photo|places|rain|screenshot|skel|slideshow|snow|taskbar|tclock|tiling|uptime|weather|winselector|wlan) ECORE="";;
fi" >> $PKG/install/doinst.sh
+
exalt) ECORE="--with-wpa-supplicant=/sbin/wpa_supplicant --with-dhcp=/sbin/dhclient";;
echo "" >> $PKG/install/doinst.sh
+
esac
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk
 
fi
 
done
 
cd $TMP/e/trunk/OLD
+
chown -R root:root .
for i in etk etk_extra engrave enhance edata ecore_li edb emphasis epsilon evolve exhibit e_utils epeg;
+
find . \
do
+
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
+
-exec chmod 755 {} \; -o \
echo "Building $i..."
+
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
cd $i
+
-exec chmod 644 {} \;
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
PKG=$TMP/package-$i
 
mkdir -p $PKG || exit 1
 
if [ "$i" = "evfs" ];then
 
mv debian/changelog debian/changelog.in
 
fi
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS || exit 1
+
if [ "$i" = "evfs" ];then
make install DESTDIR=$PKG || exit 1
+
mv debian/changelog debian/changelog.in
( cd $PKG
+
fi
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null || true
 
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null
 
)
 
mkdir -p $PKG/usr/doc/$i || exit 1
+
case $i in
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
+
imlib2|eina|eet|imlib2_loaders|imlib2_tools|evas|ecore|efreet|embryo|edje|e_dbus|e|exml|esmart|eterm|ethumb|exquisite|expedite|emotion|emprint|etk|etk_extra|engrave|enhance|edata|ecore_li|edb|emphasis|epsilon|evolve|exhibit|e_utils|epeg|ewl|elementary|elementary-alarm|elementary-presenter|elementary-sms|waker|exalt|alarm|bling|calendar|configmenu|cpu|deskshow|diskio|drawer|efm-nav|efm-path|emu|exalt-client|execwatch|flame|forecasts|iiirk|language|mail|mem|moon|mpdule|net|news|notification|penguins|photo|places|rain|screenshot|skel|slideshow|snow|taskbar|tclock|tiling|uptime|weather|winselector|wlan)
mkdir -p $PKG/install
+
LDFLAGS="$SLKLDFLAGS" \
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
CFLAGS="$SLKCFLAGS" \
echo "$i" >> $PKG/install/slack-desc
+
CXXFLAGS="$SLKCFLAGS" \
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
./autogen.sh \
echo "$i" >> $PKG/install/slack-desc
+
--prefix=/usr \
echo "$i" >> $PKG/install/slack-desc
+
$ECORE \
echo "" >> $PKG/install/slack-desc
+
--libdir=/usr/lib${LIBDIRSUFFIX} \
echo "if [ -x /usr/bin/update-mime-database ]; then
+
--sysconfdir=/etc \
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
+
--localstatedir=/var \
fi" >> $PKG/install/doinst.sh
+
--mandir=/usr/man \
echo "" >> $PKG/install/doinst.sh
+
--disable-static || exit 1
echo "if [ -x /usr/bin/update-desktop-database ]; then
+
;;
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
+
ewl|estickies)
fi" >> $PKG/install/doinst.sh
+
ECORE_EVAS_LIBS="$SLKLDFLAGS -lecore_evas -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
echo "" >> $PKG/install/doinst.sh
+
ECORE_XCB_LIBS="$SLKLDFLAGS -lxcb -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
+
ECORE_X_LIBS="$SLKLDFLAGS -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
+
ECORE_LIBS="$SLKLDFLAGS -lecore_txt -lecore_file -lecore_con -lgnutls -lcurl -lecore -leina" \
fi" >> $PKG/install/doinst.sh
+
EDJE_LIBS="$SLKLDFLAGS -ledje -lecore_imf_evas -llua -lm -lembryo -lecore_job -leet -lecore_imf -levas -lecore -leina" \
echo "" >> $PKG/install/doinst.sh
+
EFREET_LIBS="$SLKLDFLAGS -lefreet -lefreet_mime -lecore_file -lecore_con -lgnutls -lcurl -lecore -leina" \
cd $PKG
+
EMOTION_LIBS="$SLKLDFLAGS -lemotion -levas -leina" \
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
+
EVAS_LIBS="$SLKLDFLAGS -levas -leina" \
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
+
EPSILON_LIBS="$SLKLDFLAGS -lepsilon" \
rm -rf $TMP/package-$i || exit 1
+
LDFLAGS="$SLKLDFLAGS" \
cd $TMP/e/trunk/OLD
+
CFLAGS=" $SLKCFLAGS" \
fi
+
CXXFLAGS="$SLKCFLAGS" \
done
+
./autogen.sh \
  +
--prefix=/usr \
  +
--libdir=/usr/lib${LIBDIRSUFFIX} \
  +
--sysconfdir=/etc \
  +
--localstatedir=/var \
  +
--mandir=/usr/man \
  +
--libexecdir=/usr/lib${LIBDIRSUFFIX} \
  +
--disable-static || exit 1
  +
;;
  +
esac
cd $TMP/e/trunk
+
echo "--- $i building error log ---" >> $CWD/error.log
i=ewl;
+
make $JOBS 2>>$CWD/error.log|| exit 1
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
PKG=$TMP/package-$i
+
make install DESTDIR=$PKG || exit 1
mkdir -p $PKG || exit 1
 
#make clean
 
ECORE_EVAS_LIBS="$SLKLDFLAGS -lecore_evas -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
 
ECORE_XCB_LIBS="$SLKLDFLAGS -lxcb -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
 
ECORE_X_LIBS="$SLKLDFLAGS -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
 
ECORE_LIBS="$SLKLDFLAGS -lecore_txt -lecore_file -lecore_con -lgnutls -lcurl -lecore -leina" \
 
EDJE_LIBS="$SLKLDFLAGS -ledje -lecore_imf_evas -llua -lm -lembryo -lecore_job -leet -lecore_imf -levas -lecore -leina" \
 
EFREET_LIBS="$SLKLDFLAGS -lefreet -lefreet_mime -lecore_file -lecore_con -lgnutls -lcurl -lecore -leina" \
 
EMOTION_LIBS="$SLKLDFLAGS -lemotion -levas -leina" \
 
EVAS_LIBS="$SLKLDFLAGS -levas -leina" \
 
EPSILON_LIBS="$SLKLDFLAGS -lepsilon" \
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS=" $SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--libexecdir=/usr/lib${LIBDIRSUFFIX} \
 
--disable-static || exit 1
 
make $JOBS|| exit 1
+
if [ -d $DEPPKG ]
make install DESTDIR=$PKG || exit 1
+
then
( cd $PKG
+
rm -rf $DEPPKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+
mkdir -p $DEPPKG
xargs strip --strip-unneeded 2> /dev/null || true
+
fi
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+
make install DESTDIR=$DEPPKG || exit 1
xargs strip --strip-unneeded 2> /dev/null
+
cd $DEPPKG
)
+
makepkg -l y -c n $TMP/$i\_dep_inst.txz
  +
installpkg $TMP/$i\_dep_inst.txz
mkdir -p $PKG/usr/doc/$i || exit 1
+
done
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
 
mkdir -p $PKG/install
+
for i in imlib2 eina eet imlib2_loaders imlib2_tools evas ecore efreet embryo edje e_dbus e exml esmart eterm ethumb exquisite expedite emotion emprint etk etk_extra engrave enhance edata ecore_li edb emphasis epsilon evolve exhibit e_utils epeg ewl elementary elementary-alarm elementary-presenter elementary-sms waker alarm bling calendar configmenu cpu deskshow diskio drawer efm-nav efm-path exalt emu exalt-client execwatch flame forecasts iiirk language mail mem moon mpdule net news notification penguins photo places rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan estickies
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
do
echo "$i" >> $PKG/install/slack-desc
+
removepkg /var/log/packages/$i\_dep_inst
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
done
echo "$i" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk
 
fi
 
for i in estickies exquisite expedite emotion emprint;
 
do
 
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
if [ "$i" = "eterm" ];then
 
cd Eterm
 
fi
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
PKG=$TMP/package-$i
+
stripbin
mkdir -p $PKG || exit 1
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS|| exit 1
+
mkdir -p $PKG/usr/doc/$NAME || exit 1
make install DESTDIR=$PKG || exit 1
+
cp -a $TMP/e/trunk/e/{AUTHORS,COPYING,INSTALL,NEWS,README} $PKG/usr/doc/$NAME
( cd $PKG
 
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null || true
 
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null
 
)
 
mkdir -p $PKG/usr/doc/$i || exit 1
+
mkdir -p $PKG/etc/X11/xinit
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
+
cp $TMP/xinitrc.enlightenment17 $PKG/etc/X11/xinit/
mkdir -p $PKG/install
+
mkdir -p $PKG/install
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
cat $CWD/slack-desc > $PKG/install/slack-desc
echo "$i" >> $PKG/install/slack-desc
+
cat $CWD/slack-desc > $PKG/usr/doc/$NAME/slack-desc
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
cat $CWD/e17.SlackBuild > $PKG/usr/doc/$NAME/e17.SlackBuild
echo "$i" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk
 
fi
 
done
 
cd TMP/st
+
doinst
for i in elementary elementary-alarm elementary-presenter elementary-sms waker;
 
do
 
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
PKG=$TMP/package-$i
+
cd $PKG
mkdir -p $PKG || exit 1
+
chown -R root:root .
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
make $JOBS|| exit 1
+
# Dependencies manually added because requiredbuilder
make install DESTDIR=$PKG || exit 1
+
# takes a huge amount of time!
( cd $PKG
+
#requiredbuilder -v -y -s $CWD $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+
echo "lua >= 5.1.4-i486-4as
xargs strip --strip-unneeded 2> /dev/null || true
+
libast >= 0.7-i486-3ms
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+
libmpd >= 0.19.0-i486-1as" > $CWD/slack-required
xargs strip --strip-unneeded 2> /dev/null
 
)
 
mkdir -p $PKG/usr/doc/$i || exit 1
+
makepkg -l y -c n $OUTPUT/$NAME-$VERSION-$ARCH-$TAG.txz || exit 1
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
 
mkdir -p $PKG/install
+
if [[ "$1" = "--cleanup" ]]
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
+
then
echo "$i" >> $PKG/install/slack-desc
+
rm -rf $TMP || exit 1
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
+
fi
echo "$i" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk/TMP/st
 
fi
 
done
 
cd $TMP/e/trunk
 
i=exalt
 
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
 
PKG=$TMP/package-$i
 
mkdir -p $PKG || exit 1
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
 
make $JOBS|| exit 1
 
make install DESTDIR=$PKG || exit 1
 
( cd $PKG
 
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null || true
 
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null
 
)
 
 
mkdir -p $PKG/usr/doc/$i || exit 1
 
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
 
 
mkdir -p $PKG/install
 
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk
 
fi
 
cd E-MODULES-EXTRA
 
for i in alarm bling calendar configmenu cpu deskshow diskio drawer efm-nav efm-path emu exalt-client execwatch flame forecasts iiirk language mail mem moon \
 
mpdule net news notification penguins photo places rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan;
 
do
 
if [ ! -e $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz ];then
 
echo "Building $i..."
 
cd $i
 
chown -R root:root .
 
find . \
 
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 
-exec chmod 755 {} \; -o \
 
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 
-exec chmod 644 {} \;
 
 
PKG=$TMP/package-$i
 
mkdir -p $PKG || exit 1
 
LDFLAGS="$SLKLDFLAGS" \
 
CFLAGS="$SLKCFLAGS" \
 
CXXFLAGS="$SLKCFLAGS" \
 
./autogen.sh \
 
--prefix=/usr \
 
--libdir=/usr/lib${LIBDIRSUFFIX} \
 
--sysconfdir=/etc \
 
--localstatedir=/var \
 
--mandir=/usr/man \
 
--disable-static || exit 1
 
 
make $JOBS || exit 1
 
make install DESTDIR=$PKG || exit 1
 
( cd $PKG
 
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null || true
 
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
 
xargs strip --strip-unneeded 2> /dev/null
 
)
 
 
mkdir -p $PKG/usr/doc/$i || exit 1
 
cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$i
 
 
mkdir -p $PKG/install
 
echo " |-----handy-ruler------------------------------------------------------|" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "$i: $i svn build - $VERSIO - $VERSION" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "$i" >> $PKG/install/slack-desc
 
echo "" >> $PKG/install/slack-desc
 
echo "if [ -x /usr/bin/update-mime-database ]; then
 
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/update-desktop-database ]; then
 
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
 
/usr/bin/gtk-update-icon-cache -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
 
fi" >> $PKG/install/doinst.sh
 
echo "" >> $PKG/install/doinst.sh
 
cd $PKG
 
makepkg -l y -c n $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz || exit 1
 
upgradepkg --install-new $OUTPUT/$i-$VERSION-$ARCH-$TAG.tgz
 
rm -rf $TMP/package-$i || exit 1
 
cd $TMP/e/trunk/E-MODULES-EXTRA
 
fi
 
done
 
 
echo "Installation Complete!"
 
rm -rf $TMP
 
</pre>
</pre>

Versione delle 01:34, 22 ott 2009

Semplice script che scarica enlightenment da svn, lo compila e lo pacchettizza e installa ;)

#!/bin/sh
# e17 Slackware Builder
# This simple script download lastest trunk from e17's SVN and packages it ;)
# Compatible with Slackware 13.0 and (hopefully) later
# Copyright jimmy_page_89 ( email jimmy_page_89 AT hotmail DOT it )
# Heavily changed by albatros_la aka AsPh4lTo
# Thanks to Conraid for SVN help :D
set -e

echo "##e17 Slackware Builder##"
TMP=${TMP:-/tmp/txz/e17}
NAME=enlightenment
PKG=$TMP/package-$NAME
DEPPKG=$TMP/dep-package-$NAME
TAG=1jim
CWD=`pwd`
OUTPUT=$CWD
ARCH="x86_64"
JOBS="-j2"

if [ ! -d $PKG ]
then
   mkdir -p $PKG || exit 1
fi

if [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
   LIBDIRSUFFIX=""
   SLKLDFLAGS=""
elif [ "$ARCH" = "i686" ]; then
   SLKCFLAGS="-O2 -march=i686 -mtune=i686"
   LIBDIRSUFFIX=""
   SLKLDFLAGS=""
elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fPIC"
   LIBDIRSUFFIX="64"
   SLKLDFLAGS="-L/usr/lib64"
fi

if [ -f $CWD/error.log ]
then
 rm -rf $CWD/error.log
fi

echo "checking dependencies..."
if [ ! -d $OUTPUT ];then
   mkdir -p $OUTPUT
fi
mkdir -p $TMP
cd $OUTPUT
for j in lua libast libmpd;
do
if [ ! -e /var/log/packages/$j-* ];then
   echo "Please install $j, exiting..."
   exit 1
fi
done
cd $TMP
if [ ! -d e ]
then
 echo "Start Downloading..."
 svn co http://svn.enlightenment.org/svn/e || exit 1
fi
cp $CWD/xinitrc.enlightenment17 . || exit 1
cd $TMP/e
VERSION=r$(LANG=en_US svn info | awk '/Revision:/{print $2}')

cd $TMP/e/trunk
for i in BINDINGS BROKEN devs DOCS E16 packaging PROTO SCRIPTS THEMES web;
do
   rm -rf $i || exit 1
done

function doinst {
echo "if [ -x /usr/bin/update-mime-database ]; then
/usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi" >> $PKG/install/doinst.sh
echo "" >> $PKG/install/doinst.sh
echo "if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi" >> $PKG/install/doinst.sh
echo "" >> $PKG/install/doinst.sh
echo "if [ -x /usr/bin/gtk-update-icon-cache ]; then
/usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
fi" >> $PKG/install/doinst.sh
echo "" >> $PKG/install/doinst.sh
}

function stripbin {
( cd $PKG
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
           xargs strip --strip-unneeded 2> /dev/null || true
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
           xargs strip --strip-unneeded 2> /dev/null
)
}

mkdir -p $OUTPUT || exit 1
for i in imlib2 eina eet imlib2_loaders imlib2_tools evas ecore efreet embryo edje e_dbus e exml esmart eterm ethumb exquisite expedite emotion emprint etk etk_extra engrave enhance edata ecore_li edb emphasis epsilon evolve exhibit e_utils epeg ewl elementary elementary-alarm elementary-presenter elementary-sms waker alarm bling calendar configmenu cpu deskshow diskio drawer efm-nav efm-path exalt emu exalt-client execwatch flame forecasts iiirk language mail mem moon mpdule net news notification penguins photo places rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan estickies
do
   echo "
   --- Building $i... ---
   "
   case $i in
	   imlib2|eina|eet|imlib2_loaders|imlib2_tools|evas|ecore|efreet|embryo|edje|e_dbus|e|exml|esmart|ethumb|exquisite|expedite|emotion|emprint|ewl|exalt|estickies) cd $TMP/e/trunk/$i;;
	   eterm) cd $TMP/e/trunk/$i/Eterm;;
	   etk|etk_extra|engrave|enhance|edata|ecore_li|edb|emphasis|epsilon|evolve|exhibit|e_utils|epeg) cd $TMP/e/trunk/OLD/$i;;
           elementary|elementary-alarm|elementary-presenter|elementary-sms|waker) cd $TMP/e/trunk/TMP/st/$i;;
	   alarm|bling|calendar|configmenu|cpu|deskshow|diskio|drawer|emu|exalt-client|execwatch|flame|forecasts|iiirk|language|mail|mem|moon|mpdule|net|news|notification|penguins|photo|places|rain|screenshot|skel|slideshow|snow|taskbar|tclock|tiling|uptime|weather|winselector|wlan) cd $TMP/e/trunk/E-MODULES-EXTRA/$i;;
	   efm-nav|efm-path) cd $TMP/e/trunk/E-MODULES-EXTRA/`echo $i|sed s/-/_/`;;
   esac
   case $i in
	   ecore) ECORE="--enable-ecore-evas-software-buffer --enable-ecore-evas-software-x11 --enable-ecore-evas-xrender-x11  --enable-ecore-evas-opengl-x11 --enable-ecore-evas-software-16-x11 --enable-ecore-evas-xrender-xcb --enable-ecore-evas-software-gdi --enable-ecore-evas-software-ddraw --enable-ecore-evas-direct3d--enable-ecore-evas-opengl-glew --enable-ecore-evas-software-16-ddraw--enable-ecore-evas-quartz --enable-ecore-evas-software-sdl --enable-ecore-evas-directfb --enable-ecore-evas-fb --enable-ecore-evas-software-16-wince --enable-ecore-x --enable-ecore-fb --enable-ecore-evas --enable-ecore-evas-g1 --enable-ecore-job --enable-ecore-con --enable-ecore-ipc --enable-ecore-txt";;
	   imlib2|eina|eet|imlib2_loaders|imlib2_tools|evas|efreet|embryo|edje|e_dbus|e|exml|esmart|eterm|ethumb|exquisite|expedite|emotion|emprint|etk|etk_extra|engrave|enhance|edata|ecore_li|edb|emphasis|epsilon|evolve|exhibit|e_utils|epeg|ewl|elementary|elementary-alarm|elementary-presenter|elementary-sms|waker|alarm|bling|calendar|configmenu|cpu|deskshow|diskio|drawer|efm-nav|efm-path|emu|exalt-client|execwatch|flame|forecasts|iiirk|language|mail|mem|moon|mpdule|net|news|notification|penguins|photo|places|rain|screenshot|skel|slideshow|snow|taskbar|tclock|tiling|uptime|weather|winselector|wlan) ECORE="";;
	   exalt) ECORE="--with-wpa-supplicant=/sbin/wpa_supplicant --with-dhcp=/sbin/dhclient";;
   esac

   chown -R root:root .
   find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
   -exec chmod 755 {} \; -o \
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \;


   if [ "$i" = "evfs" ];then
     mv debian/changelog debian/changelog.in
   fi

   case $i in
	   imlib2|eina|eet|imlib2_loaders|imlib2_tools|evas|ecore|efreet|embryo|edje|e_dbus|e|exml|esmart|eterm|ethumb|exquisite|expedite|emotion|emprint|etk|etk_extra|engrave|enhance|edata|ecore_li|edb|emphasis|epsilon|evolve|exhibit|e_utils|epeg|ewl|elementary|elementary-alarm|elementary-presenter|elementary-sms|waker|exalt|alarm|bling|calendar|configmenu|cpu|deskshow|diskio|drawer|efm-nav|efm-path|emu|exalt-client|execwatch|flame|forecasts|iiirk|language|mail|mem|moon|mpdule|net|news|notification|penguins|photo|places|rain|screenshot|skel|slideshow|snow|taskbar|tclock|tiling|uptime|weather|winselector|wlan)
	   	LDFLAGS="$SLKLDFLAGS" \
		CFLAGS="$SLKCFLAGS" \
		CXXFLAGS="$SLKCFLAGS" \
		./autogen.sh \
	     	--prefix=/usr \
		$ECORE \
	     	--libdir=/usr/lib${LIBDIRSUFFIX} \
	     	--sysconfdir=/etc \
	   	--localstatedir=/var \
		--mandir=/usr/man \
      		--disable-static || exit 1
		;;
	   ewl|estickies)
                ECORE_EVAS_LIBS="$SLKLDFLAGS -lecore_evas -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
                ECORE_XCB_LIBS="$SLKLDFLAGS -lxcb -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
                ECORE_X_LIBS="$SLKLDFLAGS -lecore_x -lecore_input -lecore_txt -levas -lecore -leina" \
                ECORE_LIBS="$SLKLDFLAGS -lecore_txt -lecore_file -lecore_con -lgnutls -lcurl -lecore -leina" \
                EDJE_LIBS="$SLKLDFLAGS -ledje -lecore_imf_evas -llua -lm -lembryo -lecore_job -leet -lecore_imf -levas -lecore -leina" \
                EFREET_LIBS="$SLKLDFLAGS -lefreet -lefreet_mime -lecore_file -lecore_con -lgnutls -lcurl -lecore -leina" \
                EMOTION_LIBS="$SLKLDFLAGS -lemotion -levas -leina" \
                EVAS_LIBS="$SLKLDFLAGS -levas -leina" \
                EPSILON_LIBS="$SLKLDFLAGS -lepsilon" \
                LDFLAGS="$SLKLDFLAGS" \
                CFLAGS=" $SLKCFLAGS" \
                CXXFLAGS="$SLKCFLAGS" \
                ./autogen.sh \
                --prefix=/usr \
                --libdir=/usr/lib${LIBDIRSUFFIX} \
                --sysconfdir=/etc \
                --localstatedir=/var \
                --mandir=/usr/man \
                --libexecdir=/usr/lib${LIBDIRSUFFIX} \
                --disable-static || exit 1
		;;
   esac

   echo "--- $i building error log ---" >> $CWD/error.log
   make $JOBS 2>>$CWD/error.log|| exit 1

   make install DESTDIR=$PKG || exit 1

   if [ -d $DEPPKG ]
   then
           rm -rf $DEPPKG
           mkdir -p $DEPPKG
   fi
   make install DESTDIR=$DEPPKG || exit 1
   cd $DEPPKG
   makepkg -l y -c n $TMP/$i\_dep_inst.txz
   installpkg $TMP/$i\_dep_inst.txz

done

for i in imlib2 eina eet imlib2_loaders imlib2_tools evas ecore efreet embryo edje e_dbus e exml esmart eterm ethumb exquisite expedite emotion emprint etk etk_extra engrave enhance edata ecore_li edb emphasis epsilon evolve exhibit e_utils epeg ewl elementary elementary-alarm elementary-presenter elementary-sms waker alarm bling calendar configmenu cpu deskshow diskio drawer efm-nav efm-path exalt emu exalt-client execwatch flame forecasts iiirk language mail mem moon mpdule net news notification penguins photo places rain screenshot skel slideshow snow taskbar tclock tiling uptime weather winselector wlan estickies
do
	removepkg /var/log/packages/$i\_dep_inst
done

stripbin

mkdir -p $PKG/usr/doc/$NAME || exit 1
cp -a $TMP/e/trunk/e/{AUTHORS,COPYING,INSTALL,NEWS,README} $PKG/usr/doc/$NAME

mkdir -p $PKG/etc/X11/xinit
cp $TMP/xinitrc.enlightenment17 $PKG/etc/X11/xinit/

mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/slack-desc > $PKG/usr/doc/$NAME/slack-desc
cat $CWD/e17.SlackBuild > $PKG/usr/doc/$NAME/e17.SlackBuild

doinst

cd $PKG
chown -R root:root .

# Dependencies manually added because requiredbuilder
# takes a huge amount of time!
#requiredbuilder -v -y -s $CWD $PKG
echo "lua >= 5.1.4-i486-4as
libast >= 0.7-i486-3ms
libmpd >= 0.19.0-i486-1as" > $CWD/slack-required

makepkg -l y -c n $OUTPUT/$NAME-$VERSION-$ARCH-$TAG.txz || exit 1

if [[ "$1" = "--cleanup" ]]
then
 rm -rf $TMP || exit 1
fi
Strumenti personali
Namespace

Varianti